petsc-3.4.2 2013-07-02

# DMPlexGetNumLabels

Return the number of labels defined by the mesh

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetNumLabels(DM dm, PetscInt *numLabels)

Not Collective

### Input Parameter

dm -The DMPlex object

### Output Parameter

numLabels -the number of Labels

### Keywords

mesh

### See Also

DMPlexGetLabelValue(), DMPlexSetLabelValue(), DMPlexGetStratumIS()

Level:intermediate
Location:src/dm/impls/plex/plexlabel.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages